package com.emato.file.tunnel.config.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @author lhm
 * @version 1.0
 * 2021-08-24 16:10
 */
@PropertySource(value = {"classpath:mq.properties"})
@Component
@Data
public class RabbitMQProperties {

    /**
     * 上报的队列、交换机、路由键
     */
    @Value("${q.normal.csp.to.tunnel.report}")
    private String q_normal_csp_to_tunnel_report;
    @Value("${e.normal.csp.to.tunnel.report}")
    private String e_normal_csp_to_tunnel_report;
    @Value("${k.normal.csp.to.tunnel.report}")
    private String k_normal_csp_to_tunnel_report;

    /**
     * 回执的队列、交换机、路由键
     */
    @Value("${q.normal.tunnel.to.csp.receipt}")
    private String q_normal_tunnel_to_csp_receipt;
    @Value("${e.normal.tunnel.to.csp.receipt}")
    private String e_normal_tunnel_to_csp_receipt;
    @Value("${k.normal.tunnel.to.csp.receipt}")
    private String k_normal_tunnel_to_csp_receipt;

    /**
     * 清关时效性mq相关配置
     */
    @Value("${e.normal.oms.order.to.handle.customs.clearance}")
    private String e_normal_oms_order_to_handle_customs_clearance;
    @Value("${k.normal.oms.order.to.handle.customs.clearance}")
    private String k_normal_oms_order_to_handle_customs_clearance;


}
